Opened 10 years ago

Closed 10 years ago

#501 closed Bug/Something is broken (fixed)

iMP mail filter not working?

Reported by: https://id.mayfirst.org/takethestreets Owned by: https://id.mayfirst.org/jamie
Priority: Medium Component: Tech
Keywords: imp horde webmail filter webmail-post-transition Cc:
Sensitive: no

Description

Hello there,

I have a rule set up to file spam in a mail filter in iMP. I've included a screenshot of the filter, which purports to be active. However, I got a message with headers that should have been caught (posted below) and it didn't do anything - this is at least the third e-mail that didn't get caught, and the first one after I tried recreating my filter today. Any thoughts?

Mail header: Content-Type: multipart/related; boundary="----=_Part_109_6824966.1201116377293" Date: Thu, 24 Jan 2008 03:26:17 +0800 [02:26:17 PM EST] Delivered-To: takethestreets@… From: helena21@… Message-ID: <7152512.1201116377303.JavaMail.postfix@…> Mime-Version: 1.0 Received:

  • from localhost (localhost.localdomain [127.0.0.1]) by chavez.mayfirst.org (Postfix) with ESMTP id 5DE8185679 for <takethestreets@…>; Wed, 23 Jan 2008 15:38:03 -0500 (EST)
  • from chavez.mayfirst.org ([127.0.0.1]) by localhost (chavez.mayfirst.org [127.0.0.1]) (amavisd-new, port 10024) with ESMTP id ZVGFQBZrAUxR for <takethestreets@…>; Wed, 23 Jan 2008 15:38:03 -0500 (EST)
  • from relay2nd.mail.sohu.com (unknown [61.135.132.106]) by chavez.mayfirst.org (Postfix) with ESMTP id 2E5CA85638 for <badlysocialized@…>; Wed, 23 Jan 2008 15:37:59 -0500 (EST)
  • from websmtp.sohu.com (unknown [192.168.41.143]) by relay2nd.mail.sohu.com (Postfix) with ESMTP id 8F4776CB6FB for <badlysocialized@…>; Thu, 24 Jan 2008 03:26:18 +0800 (CST)
  • from mx40.mail.sohu.com (unknown [192.168.41.175]) by websmtp.sohu.com (Postfix) with ESMTP id 49F4B1179E; Thu, 24 Jan 2008 03:26:12 +0800 (CST)

Reply-To: hele.na21@… Return-Path: <helena21@…> Subject: *SPAM* Dearest One To: helena21@… X-Mailer: Sohu Web Mail 2.0.13 X-Original-To: takethestreets@… X-Priority: 3 X-SHIP: 41.207.1.113 X-SHMOBILE: 0 X-SOHU-UID: 18441.1201116378.587915.932 X-Spam-Checker-Version: SpamAssassin 3.2.3 (2007-08-08) on chavez.mayfirst.org X-Spam-Flag: YES X-Spam-Level: X-Spam-Prev-Subject: Dearest One X-Spam-Report: * 1.8 MILLION_USD BODY: Talks about millions of dollars * 1.2 US_DOLLARS_3 BODY: Mentions millions of $ ($NN,NNN,NNN.NN) * 0.0 HTML_MESSAGE BODY: HTML included in message * 1.5 RAZOR2_CF_RANGE_E4_51_100 Razor2 gives engine 4 confidence level * above 50% * [cf: 75] * 0.5 RAZOR2_CHECK Listed in Razor2 (http://razor.sf.net/) * 0.5 RAZOR2_CF_RANGE_51_100 Razor2 gives confidence level above 50% * [cf: 75] * 1.4 DCC_CHECK Listed in DCC (http://rhyolite.com/anti-spam/dcc/) * 2.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in bl.spamcop.net * [Blocked - see <http://www.spamcop.net/bl.shtml?61.135.132.106>] * 2.5 DNS_FROM_RFC_DSN RBL: Envelope sender in dsn.rfc-ignorant.org * 0.0 DIGEST_MULTIPLE Message hits more than one network digest check * 2.0 ADVANCE_FEE_2 Appears to be advance fee fraud (Nigerian 419) * 1.4 ADVANCE_FEE_3 Appears to be advance fee fraud (Nigerian 419) * 1.5 ADVANCE_FEE_4 Appears to be advance fee fraud (Nigerian 419) * 0.1 RDNS_NONE Delivered to trusted network by a host with no rDNS X-Spam-Status: Yes, score=16.6 required=5.0 tests=ADVANCE_FEE_2,ADVANCE_FEE_3, ADVANCE_FEE_4,DCC_CHECK,DIGEST_MULTIPLE,DNS_FROM_RFC_DSN,HTML_MESSAGE, MILLION_USD,RAZOR2_CF_RANGE_51_100,RAZOR2_CF_RANGE_E4_51_100,RAZOR2_CHECK, RCVD_IN_BL_SPAMCOP_NET,RDNS_NONE,US_DOLLARS_3 autolearn=spam version=3.2.3 X-Virus-Scanned: Debian amavisd-new at chavez.mayfirst.org mail_asterisk_status: mail_without_asterisk Part(s): Download All Attachments (in .zip file) Download All Attachments (in .zip file)

Attachments (1)

mailfilter.PNG (69.3 KB) - added by https://id.mayfirst.org/takethestreets 10 years ago.
Screenshot of my iMP anti-spam filter

Download all attachments as: .zip

Change History (5)

Changed 10 years ago by https://id.mayfirst.org/takethestreets

Screenshot of my iMP anti-spam filter

comment:1 Changed 10 years ago by https://id.mayfirst.org/jamie

Thanks for posting this Jon. I just tried a simple filter on the subject "Joe Smith". I indicated on the Options -> Filters page to run the filter every time the inbox is displayed. And the filter was triggered. Do you have your filters configured to run on login or when the inbox is displayed?

Can you try a simpler Subject line filter?

I will continue testing tomorrow with a filter more like the one you have setup.

comment:2 Changed 10 years ago by https://id.mayfirst.org/jamie

  • Keywords webmail-transition added

comment:3 Changed 10 years ago by https://id.mayfirst.org/jamie

  • Keywords webmail-post-transition added; webmail-transition removed

comment:4 Changed 10 years ago by https://id.mayfirst.org/takethestreets

  • Resolution set to fixed
  • Status changed from new to closed

Sorry - I thought these worked server-side, hence my confusion when they didn't filter automatically. The filters are working as expected.

Please login to add comments to this ticket.

Note: See TracTickets for help on using tickets.